// Filename 		: SPRITES.C
// Coded by 		: Scott Evans
// Created/Modified : 21/2/98
// Description		: Sprite library


#include <sprites.h>


// Function			: SortSprite()
// Coded by			: Scott Evans
// Created/Modified	: 21/2/98
// Description		: Sort sprite into ordering table

// Parameters		: p - pointer to particle
//				  	  ot - ordering table
//				  	  priority - ordering table priority

// Returns			: None

// Notes			: None


void SortSprite(SPRITE *s,GsOT *ot,u_word priority,SVECTOR *screen)
{
	GsSPRITE *sprite=&s->s;
	
	sprite->x=screen->vx;
	sprite->y=screen->vy;
	
	GsSortSprite(sprite,ot,priority);
}


// Function			: AnimateSprite()
// Coded by			: Scott Evans
// Created/Modified	: 21/2/98
// Description		: Animate a sprite

// Parameters		: s - pointer to sprite
//				  	  timer - timer value
//				  	  speed - sprite frame rate

// Returns			: None

// Notes			: sprite frame rate in 50ths/60th of a second


void AnimateSprite(SPRITE *s)
{
	if(!(GetTimer()%s->frame_rate))
	{
		u_byte frame=s->frames_list[s->current_frame];
		
		s->s.u=s->info[frame].u;
		s->s.v=s->info[frame].v;
		
		s->current_frame=(++s->current_frame%s->max_frames);	
	}
}
